package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysUnitConvert;

/**
 * 单位转换Service接口
 * 
 * @author ruoyi
 * @date 2025-03-20
 */
public interface ISysUnitConvertService 
{
    /**
     * 查询单位转换
     * 
     * @param id 单位转换主键
     * @return 单位转换
     */
    public SysUnitConvert selectSysUnitConvertById(Long id);

    /**
     * 查询单位转换列表
     * 
     * @param sysUnitConvert 单位转换
     * @return 单位转换集合
     */
    public List<SysUnitConvert> selectSysUnitConvertList(SysUnitConvert sysUnitConvert);
    /**
     * 查询单位
     *
     * @param  sysUnitConvert 单位换算
     * @return 单位换算集合
     */
    public  SysUnitConvert selectSysUnitConvertUnitByTypeOrder(SysUnitConvert sysUnitConvert);

    /**
     * 新增单位转换
     * 
     * @param sysUnitConvert 单位转换
     * @return 结果
     */
    public int insertSysUnitConvert(SysUnitConvert sysUnitConvert);

    /**
     * 修改单位转换
     * 
     * @param sysUnitConvert 单位转换
     * @return 结果
     */
    public int updateSysUnitConvert(SysUnitConvert sysUnitConvert);

    /**
     * 批量删除单位转换
     * 
     * @param ids 需要删除的单位转换主键集合
     * @return 结果
     */
    public int deleteSysUnitConvertByIds(Long[] ids);

    /**
     * 删除单位转换信息
     * 
     * @param id 单位转换主键
     * @return 结果
     */
    public int deleteSysUnitConvertById(Long id);
}
